# Generated by rust2rpm 26
%bcond_without check

%global crate sd

Name:           rust-sd
Version:        1.0.0
Release:        %mkrel 2
Summary:        Intuitive find & replace CLI

License:        MIT
Group: Text tools
URL:            https://crates.io/crates/sd
Source0:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unavailable ansi-to-html dev-dependency
Patch:          sd-fix-metadata.diff
# * drop single test that depends on ansi-to-html
Patch:          0001-drop-one-test-that-depends-on-ansi-to-html.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-thiserror1-devel

%global _description %{expand:
Intuitive find & replace CLI.

* Painless regular expressions

  sd uses regex syntax that you already know from JavaScript and Python.
  Forget about dealing with quirks of sed or awk - get productive immediately.

* String-literal mode

  Non-regex find & replace. No more backslashes or remembering which characters
  are special and need to be escaped.

* Easy to read, easy to write

  Find & replace expressions are split up, which makes them easy to read
  and write. No more messing with unclosed and escaped slashes.

* Smart, common-sense defaults

  Defaults follow common sense and are tailored for typical daily use.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%doc RELEASE.md
%{_bindir}/sd

%prep
%autosetup -p1 -n sd-%{version}
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif


%changelog
* Fri May 23 2025 wally <wally> 1.0.0-2.mga10
+ Revision: 2186124
- build using system rust pkgs

* Fri May 23 2025 joequant <joequant> 1.0.0-1.mga10
+ Revision: 2186082
- imported package rust-sd

